# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_CurveStyleFont Class Reference

`#include <StepVisual_CurveStyleFont.hxx>`

## Public Member Functions

Standard_EXPORT | StepVisual_CurveStyleFont ()
| Returns a CurveStyleFont .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepVisual_HArray1OfCurveStyleFontPattern)&aPatternList)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetPatternList (const Handle(StepVisual_HArray1OfCurveStyleFontPattern)&aPatternList)
Standard_EXPORT Handle_StepVisual_HArray1OfCurveStyleFontPattern | PatternList () const
Standard_EXPORT Handle_StepVisual_CurveStyleFontPattern | PatternListValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbPatternList () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | name
Handle_StepVisual_HArray1OfCurveStyleFontPattern | patternList

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_CurveStyleFont::StepVisual_CurveStyleFont | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepVisual_CurveStyleFont::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepVisual_CurveStyleFont::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepVisual_HArray1OfCurveStyleFontPattern)& | aPatternList
| ) | `[virtual]`

Standard_EXPORT Handle_TCollection_HAsciiString StepVisual_CurveStyleFont::Name | ( |  | ) | const

Standard_EXPORT Standard_Integer StepVisual_CurveStyleFont::NbPatternList | ( |  | ) | const

Standard_EXPORT Handle_StepVisual_HArray1OfCurveStyleFontPattern StepVisual_CurveStyleFont::PatternList | ( |  | ) | const

Standard_EXPORT Handle_StepVisual_CurveStyleFontPattern StepVisual_CurveStyleFont::PatternListValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT void StepVisual_CurveStyleFont::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

Standard_EXPORT void StepVisual_CurveStyleFont::SetPatternList | ( | const Handle(StepVisual_HArray1OfCurveStyleFontPattern)& | aPatternList | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepVisual_CurveStyleFont::name `[private]`

Handle_StepVisual_HArray1OfCurveStyleFontPattern StepVisual_CurveStyleFont::patternList `[private]`

The documentation for this class was generated from the following file:

- StepVisual_CurveStyleFont.hxx